Mercury API
IsMember<(Of <(T>)>) Method (req, valids)
Namespaces ► ThingMagic ► Reader ► IsMember<(Of <(T>)>)(T, array<T>[]()[])
Is requested value a valid value?
Declaration Syntax

C# | Visual Basic | Visual C++

    protected static bool IsMember<T>(
    	T req,
    	T[] valids
    )

    Protected Shared Function IsMember(Of T) ( _
    	req As T, _
    	valids As T() _
    ) As Boolean

    protected:
    generic<typename T>
    static bool IsMember(
    	T req,
    	array<T>^ valids
    )

Generic Template Parameters

T
  the member type

Parameters

req (T)
  Requested value

valids (array< T >[]()[])
  Array of valid parameters (will be sorted, hope you don't mind.)

Return Value
True if value is member of list. False otherwise.

Assembly: MercuryAPI (Module: MercuryAPI) Version: 1.29.4.34 (1.29.4.34)